cURL
curl --request PATCH \ --url https://qwoty.app/api/products/{id} \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --data ' { "catalog_id": "<string>", "name": "<string>", "api_name": "<string>", "reference": "<string>", "description": "<string>", "is_active": true, "product_type": "<string>", "sku": "<string>", "barcode": "<string>", "id_crm": "<string>", "id_erp": "<string>", "id_accounting": "<string>" } '
{ "success": true, "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "catalog_id": "660e8400-e29b-41d4-a716-446655440001", "name": "Updated Product Name", "api_name": "updated_product_name", "reference": "PROD-001", "description": "Updated description", "is_active": false, "product_type": "physical", "sku": "WID-PRE-001", "barcode": "1234567890123", "id_crm": "crm_123", "id_erp": "erp_456", "id_accounting": "acc_789", "created_at": "2024-12-21T10:30:00Z", "updated_at": "2024-12-21T14:45:00Z" } }
Update an existing product
Bearer qwoty_your_token
curl -X PATCH https://qwoty.app/api/products/550e8400-e29b-41d4-a716-446655440000 \ -H "Authorization: Bearer qwoty_your_token" \ -H "Content-Type: application/json" \ -d '{ "name": "Updated Product Name", "description": "Updated description", "is_active": false }'
{ "success": false, "error": "Product not found" }
Was this page helpful?